Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Interface ProbabilityDistribution

All Known Subinterfaces:
  BernoulliDist, BinomialDist, BooleanDistribution, DoubleDistribution, ExponentialDist, GammaDist, IntegerDistribution, LogNormalDist, Normal, NormalDist, PoissonDist, RandomBitDist, UniformDoubleDist, UniformIntegerDist, UniformUnsignedDist, UnsignedDistribution

public interface ProbabilityDistribution
extends SwarmObject, SwarmObjectS, InternalState, InternalStateS

Probability Distribution. A process for generating a sequence of random numbers matching the frequencies defined by a specific distribution function. The process is driven by input from a supplied uniform random generator.

Method Summary
`long` | `getCurrentCount()` The getCurrentCount method returns the count of variates generated.
`BasicRandomGenerator` | `getGenerator()` The getGenerator method returns the id of the generator.
`boolean` | `getOptionsInitialized()` The getOptionsInitialized returns the value of the parameter.
`int` | `getVirtualGenerator()` The getVirtualGenerator returns the number of the virtual generator used.

Methods inherited from interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods inherited from interface swarm.random.InternalState
`getMagic, getStateSize`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### getGenerator

    public BasicRandomGenerator getGenerator()

  The getGenerator method returns the id of the generator.

### getVirtualGenerator

    public int getVirtualGenerator()

  The getVirtualGenerator returns the number of the virtual generator used.

### getOptionsInitialized

    public boolean getOptionsInitialized()

  The getOptionsInitialized returns the value of the parameter.

### getCurrentCount

    public long getCurrentCount()

  The getCurrentCount method returns the count of variates generated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD